<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: System Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classSystem-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">System Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classSystem.html" title="System wide functions.">System</a> wide functions.  
 <a href="classSystem.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="System_8h_source.html">System.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a65fb56e6d13f80b3323fef4f087758f4"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSystem.html#a65fb56e6d13f80b3323fef4f087758f4">dumpPinMapping</a> ()</td></tr>
<tr class="separator:a65fb56e6d13f80b3323fef4f087758f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc388ae024ad31664fbf5ce8287dc7c6"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSystem.html#acc388ae024ad31664fbf5ce8287dc7c6">dumpHeapInfo</a> ()</td></tr>
<tr class="separator:acc388ae024ad31664fbf5ce8287dc7c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46ab3e4bac810433df782ecd33677223"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSystem.html#a46ab3e4bac810433df782ecd33677223">getChipInfo</a> (esp_chip_info_t *info)</td></tr>
<tr class="memdesc:a46ab3e4bac810433df782ecd33677223"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the information about the device.  <a href="#a46ab3e4bac810433df782ecd33677223">More...</a><br /></td></tr>
<tr class="separator:a46ab3e4bac810433df782ecd33677223"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52c0dd40c777aca8c876d59501572300"><td class="memItemLeft" align="right" valign="top">static size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSystem.html#a52c0dd40c777aca8c876d59501572300">getFreeHeapSize</a> ()</td></tr>
<tr class="memdesc:a52c0dd40c777aca8c876d59501572300"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the system wide free heap size.  <a href="#a52c0dd40c777aca8c876d59501572300">More...</a><br /></td></tr>
<tr class="separator:a52c0dd40c777aca8c876d59501572300"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c15815ebd772e8870331bbe281f940e"><td class="memItemLeft" align="right" valign="top"><a id="a6c15815ebd772e8870331bbe281f940e"></a>
static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSystem.html#a6c15815ebd772e8870331bbe281f940e">getIDFVersion</a> ()</td></tr>
<tr class="memdesc:a6c15815ebd772e8870331bbe281f940e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the version of the ESP-IDF. When an application is compiled, it is compiled against a version of the ESP-IDF. This function returns that version. <br /></td></tr>
<tr class="separator:a6c15815ebd772e8870331bbe281f940e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79e98f3c31457dfc4b27176b997cda27"><td class="memItemLeft" align="right" valign="top">static size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSystem.html#a79e98f3c31457dfc4b27176b997cda27">getMinimumFreeHeapSize</a> ()</td></tr>
<tr class="memdesc:a79e98f3c31457dfc4b27176b997cda27"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the smallest heap size seen.  <a href="#a79e98f3c31457dfc4b27176b997cda27">More...</a><br /></td></tr>
<tr class="separator:a79e98f3c31457dfc4b27176b997cda27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41237d182fff760ea31f960b8d3bf343"><td class="memItemLeft" align="right" valign="top"><a id="a41237d182fff760ea31f960b8d3bf343"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSystem.html#a41237d182fff760ea31f960b8d3bf343">restart</a> ()</td></tr>
<tr class="memdesc:a41237d182fff760ea31f960b8d3bf343"><td class="mdescLeft">&#160;</td><td class="mdescRight">Restart the ESP32. <br /></td></tr>
<tr class="separator:a41237d182fff760ea31f960b8d3bf343"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classSystem.html" title="System wide functions.">System</a> wide functions. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="acc388ae024ad31664fbf5ce8287dc7c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc388ae024ad31664fbf5ce8287dc7c6">&#9670;&nbsp;</a></span>dumpHeapInfo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void System::dumpHeapInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Dump the storage stats for the heap. </p>

</div>
</div>
<a id="a65fb56e6d13f80b3323fef4f087758f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65fb56e6d13f80b3323fef4f087758f4">&#9670;&nbsp;</a></span>dumpPinMapping()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void System::dumpPinMapping </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Dump the mappings for GPIO pins. </p>

</div>
</div>
<a id="a46ab3e4bac810433df782ecd33677223"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46ab3e4bac810433df782ecd33677223">&#9670;&nbsp;</a></span>getChipInfo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void System::getChipInfo </td>
          <td>(</td>
          <td class="paramtype">esp_chip_info_t *&#160;</td>
          <td class="paramname"><em>info</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the information about the device. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">info</td><td>The structure to be populated on return. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>N/A. </dd></dl>

</div>
</div>
<a id="a52c0dd40c777aca8c876d59501572300"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52c0dd40c777aca8c876d59501572300">&#9670;&nbsp;</a></span>getFreeHeapSize()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t System::getFreeHeapSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Retrieve the system wide free heap size. </p>
<dl class="section return"><dt>Returns</dt><dd>The system wide free heap size. </dd></dl>

</div>
</div>
<a id="a79e98f3c31457dfc4b27176b997cda27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79e98f3c31457dfc4b27176b997cda27">&#9670;&nbsp;</a></span>getMinimumFreeHeapSize()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t System::getMinimumFreeHeapSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the smallest heap size seen. </p>
<dl class="section return"><dt>Returns</dt><dd>The smallest heap size seen. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="System_8h_source.html">System.h</a></li>
<li>System.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
